<?php

class Localizer
{
	public $strings = array();
	
	public function Load($locale)
	{
		$this->strings = array();
		$lng_contents = file_get_contents("locales/{$locale}.lng");
		if($lng_contents !== false)
		{
			$lines = explode("\n", $lng_contents);
			foreach($lines as $line)
			{
				$line = str_replace("\r", "", $line);
				if(preg_match("/(.+?[^\\\]);(.+)/", $line, $matches))
				{
					$key = trim(str_replace("\;", ";", $matches[1]));
					$value = trim(str_replace("\;", ";", $matches[2]));
					$this->strings[$key] = $value;
				}
			}
		}
		else
		{
			Throw new Exception("Failed to load locale {$locale}.");
		}
	}
}

?>
